/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef RESOURCEDATA_H
#define RESOURCEDATA_H

#define ISDNTYPE_ITEMS 10

#include <qstring.h>

class ResourceData
{
public:
  QString isdncardname;
  uint irq;
  QString mem;
  QString io;
  QString io1;
  QString io2;
  uint protocol;
  QString module;
  uint type;
  QString id;
  QString pci_id;
  QString firmware;

  bool isenabled;
  static const char *isdntype[];
  
  ResourceData();
  ~ResourceData();
};

#endif
